#!/usr/local/bin/perl -w

=head1 NAME

02source.t - testing of VCP::Source services

=cut

use strict ;

use Carp ;
use Test ;
use VCP::Source;

my $p ;

my @tests = (
sub {
   $p = VCP::Source->new() ;
   ok ref $p, 'VCP::Source';
},

sub {
   $p->bootstrap( "foo" );
   ok join( " ", map "'$_'", $p->options_as_strings ), qr/'--bootstrap=foo'/;
},

) ;

plan tests => scalar( @tests ) ;

$_->() for @tests ;
